Bug 740200 - Upgrade to new upstream version (0.6.x)
Summary: Upgrade to new upstream version (0.6.x)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pnp4nagios
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan ONDREJ
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 09:43 UTC by lionel.cons
Modified: 2012-04-02 09:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-02 09:22:02 UTC


Attachments (Terms of Use)

Description lionel.cons 2011-09-21 09:43:19 UTC
The version of pnp4nagios that comes with EPEL (0.4.14) is very old.

Now that the 0.6 branch is stable, please upgrade to a more recent version like 0.6.15.

Thanks!

Comment 1 Jan ONDREJ 2011-09-21 09:46:04 UTC
Hello. I have an testing version ready in my git tree. I can push it to EPEL, just don't have time to test it now. Can you test it?

There are some problems with upgrades from p4n 0.4 to 0.6, so this can be done for EL6 and Fedora 17 (maybe 16) only.

Comment 2 Massimo Paladin 2011-09-21 11:18:06 UTC
Hi Jan,

what are the upgrade issues?

Thanks.

Comment 3 Jan ONDREJ 2011-09-21 11:28:37 UTC
Read p4n upgrade notes:
http://docs.pnp4nagios.org/pnp-0.6/upgrade

At least you need to update nagios acttion_url paths.

If you can help me to make automatic scripts, which will fix this for all users
or make some compatibility redirects, we can consider pushing to older distros too.

But for EL-6 question is different. Can you test this new package on EL-6 or fedora-devel?

Comment 4 Massimo Paladin 2011-09-21 11:39:14 UTC
I may give a look at the action_url path retro compatibility.

How will you package kohana? With another package or in the same package?

Comment 5 Jan ONDREJ 2011-09-21 12:40:26 UTC
Kohana is in same package yet, but I can move it to separate subpackage, if you wish.

Comment 6 Massimo Paladin 2011-09-21 14:35:24 UTC
I was wondering if there were epel restrictions about bundling packages inside others.

Is kohana installing in /usr/lib? If yes, if someone will decide to build kohana rpm they would be in conflict.

Comment 7 Massimo Paladin 2011-09-22 13:11:40 UTC
There are various solutions which could translate the old urls to the new one, tell me if one of the solutions I found are fine with epel requirements.

pnp4nagios 0.6 needs some rewrite rules in httpd.
unfortunately pnp4nagios relies on nagios.conf for httpd configuration which comes from nagios package.
pnp4nagios could do the rewrite rules through .htaccess file but unfortunately it is blocked with AllowOverride None in the nagios.conf.

which means the options would be:
- patch nagios.conf during pnp4nagios installation to add the rewrite rules, the standard ones plus one which provide retroco-mpatibility, I can provide it, I have it. (or index.php patch needed to redirect old urls)
- patch nagios.conf during pnp4nagios installation to allow .htaccess files and deploy custom .htaccess file in pnp4nagios directory
- build a new nagios to allow .htaccess files and build pnp4nagios with rewrite rules in a .htaccess file

Is any of these options allowed?

Comment 8 Jan ONDREJ 2011-09-28 13:00:19 UTC
(In reply to comment #7)
> There are various solutions which could translate the old urls to the new one,
> tell me if one of the solutions I found are fine with epel requirements.
> 
> pnp4nagios 0.6 needs some rewrite rules in httpd.
> unfortunately pnp4nagios relies on nagios.conf for httpd configuration which
> comes from nagios package.
> pnp4nagios could do the rewrite rules through .htaccess file but unfortunately
> it is blocked with AllowOverride None in the nagios.conf.
> 
> which means the options would be:
> - patch nagios.conf during pnp4nagios installation to add the rewrite rules,
> the standard ones plus one which provide retroco-mpatibility, I can provide it,
> I have it. (or index.php patch needed to redirect old urls)

Are you sure, you can fix all locations of natios config files? Can you write this "patch" to fix all occurences and do not modify anythin else?
If you can provide a script or patch, I can look at it, but I think it's very hard to do it and do not harm any user.

> - patch nagios.conf during pnp4nagios installation to allow .htaccess files and

Again, it's not very safe. Every user can have it's own config files in their own locations.

> deploy custom .htaccess file in pnp4nagios directory


> - build a new nagios to allow .htaccess files and build pnp4nagios with rewrite
> rules in a .htaccess file

I think you need to make a fork of nagios to allow this. Or at least build a different version, which is not required. It's a bad idea.

Comment 9 Jan ONDREJ 2012-03-22 07:13:14 UTC
If you can't give me a patch, which will fix this globally, I will close this bug.

Comment 10 Massimo Paladin 2012-04-02 09:22:02 UTC
Let's close it for now.


Note You need to log in before you can comment on or make changes to this bug.